package com.buy507.mall.portal.domain;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("会员提现申请返回实体")
public class MemberWithdrawApplyResult {

	@ApiModelProperty(value = "提现金额")
	private BigDecimal value; //提现金额
	
	@ApiModelProperty(value = "提现手续费")
	private BigDecimal poundage;
	
	@ApiModelProperty(value = "扣除手续费后的金额")
	private BigDecimal actualValue;
	
	@ApiModelProperty(value = "账户名")
	private String accountName;
	
	@ApiModelProperty(value = "银行名称")
	private String bankName;
	
	@ApiModelProperty(value = "银行账号")
	private String bankCardNum;
	
	@ApiModelProperty(value = "银行开户行地址")
	private String openBankAddress;
	
	@ApiModelProperty(value = "微信账号")
	private String wechatAccount;
	
	@ApiModelProperty(value = "微信昵称")
	private String wechatNickname;
	
	@ApiModelProperty(value = "付款状态：0->未打款；1->已打款；2->打款失败")
	private Integer paymentStatus;
	
	@ApiModelProperty(value = "提现方式(0: 支付宝; 1: 微信; 2: 银行卡)")
	private Integer withdrawType;
	
	@ApiModelProperty(value = "付款状态：0->未打款；1->已打款；2->打款失败")
	private String paymentStatusName;
	
	@ApiModelProperty(value = "失败原因：付款状态为2时，才有值")
	private String failedReason;
	
	// 打款时间
	@ApiModelProperty(value = "打款时间")
	private Date paymentTime;

	// 创建时间
	@ApiModelProperty(value = "申请时间")
	private Date createTime;

	public BigDecimal getValue() {
		return value;
	}

	public void setValue(BigDecimal value) {
		this.value = value;
	}

	public BigDecimal getPoundage() {
		return poundage;
	}

	public void setPoundage(BigDecimal poundage) {
		this.poundage = poundage;
	}

	public BigDecimal getActualValue() {
		return actualValue;
	}

	public void setActualValue(BigDecimal actualValue) {
		this.actualValue = actualValue;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankCardNum() {
		return bankCardNum;
	}

	public void setBankCardNum(String bankCardNum) {
		this.bankCardNum = bankCardNum;
	}

	public String getOpenBankAddress() {
		return openBankAddress;
	}

	public void setOpenBankAddress(String openBankAddress) {
		this.openBankAddress = openBankAddress;
	}

	public Integer getPaymentStatus() {
		return paymentStatus;
	}

	public void setPaymentStatus(Integer paymentStatus) {
		this.paymentStatus = paymentStatus;
	}

	public String getPaymentStatusName() {
		return paymentStatusName;
	}

	public void setPaymentStatusName(String paymentStatusName) {
		this.paymentStatusName = paymentStatusName;
	}

	public String getFailedReason() {
		return failedReason;
	}

	public void setFailedReason(String failedReason) {
		this.failedReason = failedReason;
	}

	public Date getPaymentTime() {
		return paymentTime;
	}

	public void setPaymentTime(Date paymentTime) {
		this.paymentTime = paymentTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getWithdrawType() {
		return withdrawType;
	}

	public void setWithdrawType(Integer withdrawType) {
		this.withdrawType = withdrawType;
	}

	public String getWechatAccount() {
		return wechatAccount;
	}

	public void setWechatAccount(String wechatAccount) {
		this.wechatAccount = wechatAccount;
	}

	public String getWechatNickname() {
		return wechatNickname;
	}

	public void setWechatNickname(String wechatNickname) {
		this.wechatNickname = wechatNickname;
	}
	
}
